> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a CUBIX bank account



## OpenAPI

````yaml openapi/account.yaml get /v1/businessAccount/banks/cubix/{id}
openapi: 3.0.2
info:
  version: ${version}
  title: Core Functionality
  description: >
    All of Circle's APIs share a common set of core functionality that lets you
    manage your Circle Account in a programmatic way.


    With a Circle Account your business can deposit traditional money from 80+
    countries and seamlessly convert them into "digital currency dollars": USDC.
    You can then use USDC for everyday payments and treasury flows.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Balances
    description: Get information on settled and unsettled balances.
  - name: Payouts
    description: Create and get information on 1st party payouts.
  - name: Wires
    description: >-
      Create, get instructions, and get information on 1st party bank accounts
      for wire transfers.
  - name: CUBIX
    description: Create and get information on CUBIX accounts.
  - name: PIX
    description: Create and get information on PIX accounts.
  - name: Transfers
    description: Create and get information on 1st party transfers.
  - name: Addresses
    description: Generate and get information on blockchain addresses.
  - name: Deposits
    description: Get information on 1st party deposits.
  - name: Payments
    description: Create, cancel, refund, and get updates on card payments.
  - name: Settlement Bank Routing
    description: View and manage settlement bank routing preferences for fiat accounts.
  - name: Reporting
    description: >-
      Retrieve transaction and balance reports, including ISO 20022 (CAMT.053)
      statements and managed-payment reports.
paths:
  /v1/businessAccount/banks/cubix/{id}:
    get:
      tags:
        - CUBIX
      summary: Get a CUBIX bank account
      operationId: getBusinessCubixAccount
      parameters:
        - $ref: '#/components/parameters/IdPath'
      responses:
        '200':
          description: Successfully retrieved a bank account for CUBIX transfers.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                title: GetBusinessCubixAccountResponse
                properties:
                  data:
                    $ref: '#/components/schemas/CubixFiatAccountResponse'
              examples:
                response:
                  value:
                    data:
                      id: b8627ae8-732b-4d25-b947-1df8f4007a29
                      status: pending
                      trackingRef: CIR25XSXT8
                      accountId: ff2212d7-8476-4d1e-9d95-eda6455f4f54
                      transferTypesInfo:
                        cubix:
                          currencies:
                            - USD
                      createDate: '2020-04-10T02:13:30.000Z'
                      updateDate: '2020-04-10T02:13:30.000Z'
        '401':
          $ref: '#/components/responses/NotAuthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - bearerAuth: []
components:
  parameters:
    IdPath:
      name: id
      description: Universally unique identifier (UUID v4) of a resource.
      in: path
      required: true
      schema:
        type: string
        format: uuid
        example: b3d9d2d5-4c12-4946-a09d-953e82fae2b0
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    CubixFiatAccountResponse:
      type: object
      required:
        - id
        - status
        - trackingRef
        - accountId
        - createDate
        - updateDate
        - transferTypesInfo
      properties:
        id:
          $ref: '#/components/schemas/Id'
        status:
          $ref: '#/components/schemas/ExternalFiatAccountStatus'
        trackingRef:
          type: string
          description: >-
            Tracking ref that needs to be set in the public description field
            when you send the funds to Circle's CUBIX account.
          example: CIR25XSXT8
        accountId:
          type: string
          format: uuid
          description: Your CUBIX Account ID.
          example: ff2212d7-8476-4d1e-9d95-eda6455f4f54
        transferTypesInfo:
          type: object
          description: >-
            A <TransferType, TransferTypeInfo> map which shows transfer types
            supported on this account as well as additional information for
            each. For CUBIX accounts this will always only show information for
            CUBIX transfers.
          additionalProperties:
            $ref: '#/components/schemas/TransferTypeInfo'
          example:
            cubix:
              currencies:
                - USD
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
        updateDate:
          $ref: '#/components/schemas/UtcTimestamp'
    Id:
      type: string
      description: Unique system generated identifier for the entity.
      format: uuid
      example: b8627ae8-732b-4d25-b947-1df8f4007a29
    ExternalFiatAccountStatus:
      description: >-
        Status of the account. A `pending` status indicates that the linking is
        in-progress; `complete` indicates the account was linked successfully;
        `failed` indicates it failed.
      type: string
      enum:
        - pending
        - complete
        - failed
    TransferTypeInfo:
      type: object
      required:
        - currencies
      description: Additional information for specific transfer type.
      properties:
        currencies:
          type: array
          uniqueItems: true
          items:
            $ref: '#/components/schemas/FiatCurrency'
        additionalProperties:
          description: Additional properties that apply to specific transfer type.
          type: object
          properties:
            transactionLimits:
              type: integer
              description: Transaction amount limit for the transfer type.
              example: 100000
    UtcTimestamp:
      type: string
      description: ISO-8601 UTC date/time format.
      example: '2020-04-10T02:13:30.000Z'
    FiatCurrency:
      type: string
      description: Currency code.
      title: Currency
      enum:
        - USD
        - EUR
        - MXN
        - SGD
        - BRL
  responses:
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
    NotFound:
      description: The specified resource was not found.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotFound
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 404
              message: Not found.
          examples:
            response:
              value:
                code: 404
                message: Not found.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````